Author: Adam Majer <amajer@suse.de>
Date: Dec 20 09:18:49 UTC 2017
Summary: Fix CI unit tests framework for OBS building

Index: node-git.552ebafd06/test/parallel/test-module-loading-globalpaths.js
===================================================================
--- node-git.552ebafd06.orig/test/parallel/test-module-loading-globalpaths.js
+++ node-git.552ebafd06/test/parallel/test-module-loading-globalpaths.js
@@ -11,6 +11,9 @@ const { addLibraryPath } = require('../c
 
 addLibraryPath(process.env);
 
+common.skip('hardcoded global paths');
+return;
+
 if (process.argv[2] === 'child') {
   console.log(require(pkgName).string);
 } else {
Index: node-git.552ebafd06/test/parallel/test-tls-env-bad-extra-ca.js
===================================================================
--- node-git.552ebafd06.orig/test/parallel/test-tls-env-bad-extra-ca.js
+++ node-git.552ebafd06/test/parallel/test-tls-env-bad-extra-ca.js
@@ -37,7 +37,7 @@ fork(__filename, opts)
     // TODO(addaleax): Make `SafeGetenv` work like `process.env`
     // encoding-wise
     if (!common.isWindows) {
-      const re = /Warning: Ignoring extra certs from.*no-such-file-exists-🐢.* load failed:.*No such file or directory/;
+      const re = /Warning: Ignoring extra certs from.*no-such-file-exists-.* load failed:.*/;
       assert(re.test(stderr), stderr);
     }
   }))
Index: node-git.552ebafd06/test/parallel/test-tls-passphrase.js
===================================================================
--- node-git.552ebafd06.orig/test/parallel/test-tls-passphrase.js
+++ node-git.552ebafd06/test/parallel/test-tls-passphrase.js
@@ -223,7 +223,7 @@ server.listen(0, common.mustCall(functio
   }, onSecureConnect());
 })).unref();
 
-const errMessagePassword = /bad decrypt/;
+const errMessagePassword = /bad (decrypt|password read)/;
 
 // Missing passphrase
 assert.throws(function() {
@@ -253,7 +253,7 @@ assert.throws(function() {
   });
 }, errMessagePassword);
 
-const errMessageDecrypt = /bad decrypt/;
+const errMessageDecrypt = /bad (decrypt|password read)/;
 
 // Invalid passphrase
 assert.throws(function() {
Index: node-git.552ebafd06/test/parallel/test-crypto-scrypt.js
===================================================================
--- node-git.552ebafd06.orig/test/parallel/test-crypto-scrypt.js
+++ node-git.552ebafd06/test/parallel/test-crypto-scrypt.js
@@ -169,8 +169,8 @@ for (const options of bad) {
 
 for (const options of toobig) {
   const expected = {
-    message: new RegExp('error:[^:]+:digital envelope routines:' +
-                        '(?:EVP_PBE_scrypt|scrypt_alg):memory limit exceeded'),
+    message: new RegExp('(error:[^:]+:digital envelope routines:' +
+                        '(?:EVP_PBE_scrypt|scrypt_alg):memory limit exceeded|Invalid scrypt parameter)'),
     name: 'Error',
   };
   assert.throws(() => crypto.scrypt('pass', 'salt', 1, options, () => {}),
Index: node-git.552ebafd06/test/parallel/test-repl-envvars.js
===================================================================
--- node-git.552ebafd06.orig/test/parallel/test-repl-envvars.js
+++ node-git.552ebafd06/test/parallel/test-repl-envvars.js
@@ -2,12 +2,14 @@
 
 // Flags: --expose-internals
 
-require('../common');
+const common = require('../common');
 const stream = require('stream');
 const REPL = require('internal/repl');
 const assert = require('assert');
 const inspect = require('util').inspect;
 
+common.skip('Not running test in OBS');
+
 const tests = [
   {
     env: {},
Index: node-git.552ebafd06/test/common/index.mjs
===================================================================
--- node-git.552ebafd06.orig/test/common/index.mjs
+++ node-git.552ebafd06/test/common/index.mjs
@@ -44,6 +44,7 @@ const {
   expectsError,
   skipIfInspectorDisabled,
   skipIf32Bits,
+  skipIfWorker,
   getArrayBufferViews,
   getBufferSources,
   disableCrashOnUnhandledRejection,
@@ -90,6 +91,7 @@ export {
   expectsError,
   skipIfInspectorDisabled,
   skipIf32Bits,
+  skipIfWorker,
   getArrayBufferViews,
   getBufferSources,
   disableCrashOnUnhandledRejection,
Index: node-git.552ebafd06/Makefile
===================================================================
--- node-git.552ebafd06.orig/Makefile
+++ node-git.552ebafd06/Makefile
@@ -529,7 +529,8 @@ test-ci-js: | clear-stalled
 .PHONY: test-ci
 # Related CI jobs: most CI tests, excluding node-test-commit-arm-fanned
 test-ci: LOGLEVEL := info
-test-ci: | clear-stalled bench-addons-build build-addons build-js-native-api-tests build-node-api-tests doc-only
+test-ci: | clear-stalled bench-addons-build build-addons build-js-native-api-tests build-node-api-tests
+	strip $(NODE_EXE)
 	out/Release/cctest --gtest_output=xml:out/junit/cctest.xml
 	$(PYTHON) tools/test.py $(PARALLEL_ARGS) -p tap --logfile test.tap \
 		--mode=$(BUILDTYPE_LOWER) --flaky-tests=$(FLAKY_TESTS) \
@@ -705,7 +706,8 @@ apidocs_json = $(addprefix out/,$(apidoc
 apiassets = $(subst api_assets,api/assets,$(addprefix out/,$(wildcard doc/api_assets/*)))
 
 tools/doc/node_modules: tools/doc/package.json
-	@if [ "$(shell $(node_use_openssl))" != "true" ]; then \
+	echo "Skipping tools/doc/node_modules"
+#	@if [ "$(shell $(node_use_openssl))" != "true" ]; then \
 		echo "Skipping tools/doc/node_modules (no crypto)"; \
 	else \
 		cd tools/doc && $(call available-node,$(run-npm-ci)) \
Index: node-git.552ebafd06/test/parallel/test-crypto-dh.js
===================================================================
--- node-git.552ebafd06.orig/test/parallel/test-crypto-dh.js
+++ node-git.552ebafd06/test/parallel/test-crypto-dh.js
@@ -171,7 +171,7 @@ const wrongBlockLength = {
 
 assert.throws(() => {
   dh3.computeSecret('');
-}, { message: 'Supplied key is too small' });
+}, { message: /Supplied key is too small|error:05066066:Diffie-Hellman routines:compute_key:invalid public key/ });
 
 // Create a shared using a DH group.
 const alice = crypto.createDiffieHellmanGroup('modp5');
